Rated 1 out of 5 stars

Can't Install older addons and some sites don't work when this is installed

This review is for a previous version of the add-on (3.1.5.1).